package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.AlgorithmTemplate;
import io.renren.modules.sys.entity.algs.CategoryEntity;

import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/5/31 16:20
 */
public interface CategoryService extends IService<CategoryEntity> {

    PageUtils queryPage(Map<String, Object> params);

    void deleteBatch(Long[] categoryIds);

    Long getByName(String classificationtag);
}
